org.bdgenomics.adam.models

# RecordGroup

###
Related Docs: object RecordGroup | package models

#### case class RecordGroup(sample: String, recordGroupName: String, sequencingCenter: Option[String] = None, description: Option[String] = None, runDateEpoch: Option[Long] = None, flowOrder: Option[String] = None, keySequence: Option[String] = None, library: Option[String] = None, predictedMedianInsertSize: Option[Int] = None, platform: Option[String] = None, platformUnit: Option[String] = None) extends Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. RecordGroup
2. Serializable
3. Serializable
4. Product
5. Equals
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new RecordGroup(sample: String, recordGroupName: String, sequencingCenter: Option[String] = None, description: Option[String] = None, runDateEpoch: Option[Long] = None, flowOrder: Option[String] = None, keySequence: Option[String] = None, library: Option[String] = None, predictedMedianInsertSize: Option[Int] = None, platform: Option[String] = None, platformUnit: Option[String] = None)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### val description: Option[String]

7. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

8. #### def equals(o: Any): Boolean

   Compares equality to another object.

   Compares equality to another object. Only checks equality via the sample and recordGroupName fields.

   o

     Object to compare against.

   returns

     Returns true if the object is a RecordGroup, and the sample and group name are equal. Else, returns false.

   Definition Classes
     RecordGroup → Equals → AnyRef → Any

9. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

10. #### val flowOrder: Option[String]

11. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

12. #### def hashCode(): Int

    Generates a hash from the sample and record group name fields.

    Generates a hash from the sample and record group name fields.

    returns

      Hash code for this object.

    Definition Classes
      RecordGroup → AnyRef → Any

13. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

14. #### val keySequence: Option[String]

15. #### val library: Option[String]

16. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

17. #### final def notify(): Unit

    Definition Classes
      AnyRef

18. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

19. #### val platform: Option[String]

20. #### val platformUnit: Option[String]

21. #### val predictedMedianInsertSize: Option[Int]

22. #### val recordGroupName: String

23. #### val runDateEpoch: Option[Long]

24. #### val sample: String

25. #### val sequencingCenter: Option[String]

26. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

27. #### def toMetadata: RecordGroupMetadata

    Converts this into an Avro RecordGroupMetadata description for serialization to disk.

    Converts this into an Avro RecordGroupMetadata description for serialization to disk.

    returns

      Returns Avro version of RecordGroup.

28. #### def toSAMReadGroupRecord(): SAMReadGroupRecord

    Converts a record group into a SAM formatted record group.

    Converts a record group into a SAM formatted record group.

    returns

      A SAM formatted record group.

29. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

30. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

31. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped